<template>
  <div class="wrap">
    <div class="wrap-header">
      <el-menu
        :default-active="$route.path.split('/')[1]"
        class="el-menu-demo"
        mode="horizontal"
        @select="handleSelect"
        background-color="#545c64"
        text-color="#fff"
        active-text-color="#ffd04b">
        <el-menu-item v-for="(headerData,index) in commonDataList" :key="'common'+index" @click="t1show(headerData)"
          :index="headerData.path.split('/')[1]">{{headerData.meta.title}}</el-menu-item>
				<el-menu-item v-for="(headerData,index) in hraderDataList" :key="index" @click="t1show(headerData)"
          :index="headerData.path.split('/')[1]">{{headerData.meta.title}}</el-menu-item>

				</el-menu>
    </div>
    <div class="wrap-show">
      <router-view></router-view>
    </div>
  </div>
</template>

<script>
  export default {
    data() {
      return {
        commonDataList:[
          {
            path: '/homePage',
            name: 'homePage',
            redirect: '/homePage/homeShowIndex',
            meta: {
              title: '管理中心'
            },
          },
        ],
        hraderDataList: [
          {
            path: '/statusManage',
            name: 'statusManage',
            redirect: '/statusManage/statusManageIndex',
            meta: {
              title: '状态管理中心'
            },
          }
        ],
      };
    },
    methods:{
      handleSelect(key, keyPath) {
        console.log(key, keyPath);
      },
      test(headerData) {
          console.log( this.$authorities[headerData]);
          return this.$authorities[headerData]
        },
      t1show(headerData){
          this.$router.push(headerData.redirect)
      },
    },
    watch:{
      $route(){
      	let route=this.$route.path.split('/')[1]
        this.show=route
      }
    }
  }
</script>

<style lang="less">

</style>
